﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="index.aspx.cs" Inherits="test" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>jQuery Check Uncheck All Checkbox | YogiHosting Demo</title>
    <link rel="icon" type="image/png" href="http://www.yogihosting.com/wp-content/themes/yogi-yogihosting/Images/favicon.ico" />
    <style>
        body {
            background: #111 no-repeat;
            background-image: -webkit-gradient(radial, 50% 0, 150, 50% 0, 300, from(#444), to(#111));
        }

        h1, h2 {
            text-align: center;
            color: #FFF;
        }

            h2 a {
                color: #0184e3;
                text-decoration: none;
            }

                h2 a:hover {
                    text-decoration: underline;
                }

        .wrapper {
            width: 960px;
            margin: 0 auto;
            background-color: #FFF;
            padding: 10px;
        }

        tr {
            float: left;
        }

        #checkBoxList {
            border: 3px dashed #4cff00;
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <h1>jQuery Check Uncheck All Checkbox of Checkboxlist</h1>
    <h2><a href="http://www.yogihosting.com/check-uncheck-all-checkbox-using-jquery/">Read the tutorial on YogiHosting »</a></h2>
    <form id="form1" runat="server">
        <div class="wrapper">
            <asp:CheckBox ID="checkBox" Text="Buy All" Font-Bold="true" runat="server" />
            <asp:CheckBoxList ID="checkBoxList" TextAlign="Right" runat="server">
                <asp:ListItem Enabled="true" Value="Driver_Steering">Steering</asp:ListItem>
                <asp:ListItem Value="Driver_Body">Body</asp:ListItem>
                <asp:ListItem Value="Driver_Reflectors">Reflectors</asp:ListItem>
                <asp:ListItem Value="Driver_Horn">Horn</asp:ListItem>
                <asp:ListItem Value="Driver_Leaks">Leaks</asp:ListItem>
                <asp:ListItem Value="Driver_Ammeter">Ammeter</asp:ListItem>
                <asp:ListItem Value="Driver_Transmission">Transmission</asp:ListItem>
                <asp:ListItem Value="Driver_Tail_Lights">Tail Lights</asp:ListItem>
                <asp:ListItem Value="Driver_Coupling_Device">Coupling Device</asp:ListItem>
                <asp:ListItem Value="Driver_Service_Brakes">Service Brakes</asp:ListItem>
                <asp:ListItem Value="Driver_Glass">Glass</asp:ListItem>
                <asp:ListItem Value="Driver_Exhaust">Exhaust</asp:ListItem>
                <asp:ListItem Value="Driver_Other_Items">Other Items</asp:ListItem>
                <asp:ListItem Value="Driver_Drive_Line">Drive Drive Line</asp:ListItem>
                <asp:ListItem Value="Driver_Clutch">Clutch</asp:ListItem>
                <asp:ListItem Value="Driver_Speedometer">Speedometer</asp:ListItem>
            </asp:CheckBoxList>
        </div>

        <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
        <script type="text/javascript">
            $(document).ready(function () {
                $('[id *= checkBox]').click(function () {
                    if ($(this).is(":checked")) {
                        $('[id *= checkBoxList]').find('input[type="checkbox"]').each(function () {
                            $(this).prop("checked", true);
                        });
                    }
                    else {
                        $('[id *= checkBoxList]').find('input[type="checkbox"]').each(function () {
                            $(this).prop("checked", false);
                        });
                    }
                });
                //$("#checkBox").change(function () {
                //    $("#checkBoxList input").prop('checked', $(this).prop("checked"));
                //});
            });
        </script>
    </form>
</body>

</html>
